今天新苹果机安装cocoapods,安装完以后发现怎么pod search 都没有用

命令行提示:

swhcxp@iosdevmac ~ % pod search Almofire                            

Setup completed

[!] Unable to find a pod with name, author, summary, or description matching `Almofire`

 

然后我重装homebrew , RVM, Ruby,Cocoapods,都安装到最新还是没用

Homebrew官网安装

命令行输入

/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install.sh)"

如果raw.githubsercontent.com访问不了,在/private/etc/Hosts文件中添加:199.232.4.133 raw.githubusercontent.com

##
# Host Database
#
# localhost is used to configure the loopback interface
# when the system is booting. Do not change this entry.
##
127.0.0.1 localhost
255.255.255.255 broadcasthost
::1 localhost
0.0.0.0 account.jetbrains.com
199.232.4.133 raw.githubusercontent.com

或者使用国内镜像安装

/bin/zsh -c "$(curl -fsSL https://gitee.com/cunkai/HomebrewCN/raw/master/Homebrew.sh)" 

如果失败多试几次,可能是你的网络问题,安装完成以后命令行输入:brew -v ,查看homebrew版本看看是否安装成功。

RVM安装

1.命令行输入命令:

$ curl -L https://get.rvm.io | bash -s stable

2.载入RVM环境

$source ~/.rvm/scripts/rvm

3.查看安装结果版本

$ rvm -v

  

使用RVM环境安装Ruby

1.列出已知版本

$ rvm list known

2.安装指定ruby版本

$ rvm install 2.3.0

3.查看ruby安装状态和版本

$ ruby -v

彻底卸载旧Cocoapods

卸载老版本cocopods

$ sudo gem uninstall cocoapods

  

2.查看本地安装过的cocopods相关东西

$ gem list --local | grep cocoapods

显示如下:

cocoapods (1.0.1)

cocoapods-core (1.0.1)

cocoapods-deintegrate (1.0.1)

cocoapods-downloader (1.1.1)

cocoapods-plugins (1.0.0)

cocoapods-search (1.0.0)

cocoapods-stats (1.0.0)

cocoapods-trunk (1.0.0)

cocoapods-try (1.1.0)

然后使用命令逐个删除

$ sudo gem uninstall cocoapods-core

$ sudo gem uninstall cocoapods-deintegrate

  

Cocoapods安装

升级gem

sudo gem update --system

更换镜像源

$ gem sources --remove  https://rubygems.org/
$ gem sources -a https://gems.ruby-china.com
$ gem sources -l

安装

OS X 10.11之前系统的安装cocoapods 指令:

$ sudo gem install cocoapods

OS X 10.11以后系统的安装cocoapods 指令,可安装制定版本:

$ sudo gem install -n /usr/local/bin cocoapods
$ sudo gem install -n /usr/local/bin cocoapods -v 1.9.2

提示安装完成后,查看一下pod版本

pod --version

  

尝试删除~/Library/Caches/CocoaPods/search_index.json重新pod search还是不起作用

最后解决方案:

来源:https://www.cnblogs.com/huaida/p/12701080.html

pod repo remove master

cd ~/.cocoapods/repos

git clone --depth 1 https://github.com/CocoaPods/Specs.git master

rm ~/Library/Caches/CocoaPods/search_index.json

pod search afnetworking

  

问题汇总:

[!] CDN: trunk - Cannot perform full-text search because Algolia returned an error: 0: Cannot reach any host: execution expired, execution expired, 
SSL_connect returned=1 errno=0 state=error: certificate verify failed (unable to get local issuer certificate), execution expired  

解决方式:保证Podfile文件头:source ‘https://github.com/CocoaPods/Specs.git‘, 然后执行:pod repo remove trunk , 再重新pod seach XXX,就可以了!